<div class="container" *ngIf="posts$ | async as posts; else loading">
    <mat-card class="post-card" *ngFor="let post of posts">
        <app-post [post]="post"></app-post>
    </mat-card>
</div>
<ng-template #loading>
    <div class="container-loading">
        <mat-spinner></mat-spinner>
    </div>
</ng-template>